
QGIS Application - Bug report #17886

crash on saving 

2018-01-18 01:10 PM - robert kalasek

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:master Regression?: No

Operating System: win 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 25781

Description

just had a crash immediately after having pressed save button

the report

------

h2. User Feedback

Report Details

Crash ID: 50ae23d7679f33a38d90f51e039c733eeb3e3e1d

Stack Trace

QBitArray::QBitArray :

QgsLocatorFilter::resultFetched :

QgsLocatorFilter::resultFetched :

QgsLocatorFilter::resultFetched :

QgsLocatorFilter::resultFetched :

QgsLocatorFilter::resultFetched :

QgsLocatorFilter::resultFetched :

QgsLocatorFilter::resultFetched :

QgsLocatorFilter::resultFetched :

QgsLocatorFilter::resultFetched :

QgsLocatorFilter::resultFetched :

QgisApp::saveAsLayerDefinition :

QgisApp::saveAsLayerDefinition :

QgisApp::saveAsLayerDefinition :

QgisApp::saveAsLayerDefinition :

QMetaObject::activate :

QAction::activate :

QAbstractButton::click :

QAbstractButton::mouseReleaseEvent :

QToolButton::mouseReleaseEvent :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsLocatorFilter::resultFetched :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsLocatorFilter::resultFetched :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :
DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

QgisApp::saveAsLayerDefinition :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 2.99.0-Master

QGIS code revision: commit:0dda6e76ad

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.3

Running against GDAL: 2.2.3

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.15063

History

#1 - 2018-01-19 04:41 AM - Etienne Trimaille

It seems a duplicate of #17839 which is now fixed.

#2 - 2018-01-26 09:50 PM - Nyall Dawson

- Status changed from Open to Closed

#3 - 2018-02-21 09:50 PM - Giovanni Manghi

- Resolution set to duplicate
